Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.notification
Class VarBindList

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.notification.VarBindList

All Implemented Interfaces:
  Serializable

public class VarBindList
extends Object
implements Serializable

Class VarBindList.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`VarBindList()`

Method Summary
`void` | `addVarBind(int index, VarBind vVarBind)` Method addVarBind
`void` | `addVarBind(VarBind vVarBind)` Method addVarBind
`void` | `clearVarBind()` Method clearVarBind
`Enumeration` | `enumerateVarBind()` Method enumerateVarBind
`VarBind[]` | `getVarBind()` Method getVarBind
`VarBind` | `getVarBind(int index)` Method getVarBind
`int` | `getVarBindCount()` Method getVarBindCount
`String` | `getWrapperClass()` Method getWrapperClassReturns the value of field 'wrapperClass'.
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`boolean` | `removeVarBind(VarBind vVarBind)` Method removeVarBind
`void` | `setVarBind(int index, VarBind vVarBind)` Method setVarBind
`void` | `setVarBind(VarBind[] varBindArray)` Method setVarBind
`void` | `setWrapperClass(String wrapperClass)` Method setWrapperClassSets the value of field 'wrapperClass'.
`static VarBindList` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VarBindList

    public VarBindList()

Method Detail

### addVarBind

    public void addVarBind(VarBind vVarBind)
                    throws IndexOutOfBoundsException

  Method addVarBind

  Parameters:
    `vVarBind` -
  Throws:
    `IndexOutOfBoundsException`

### addVarBind

    public void addVarBind(int index,
                           VarBind vVarBind)
                    throws IndexOutOfBoundsException

  Method addVarBind

  Parameters:
    `index` -
    `vVarBind` -
  Throws:
    `IndexOutOfBoundsException`

### clearVarBind

    public void clearVarBind()

  Method clearVarBind

### enumerateVarBind

    public Enumeration enumerateVarBind()

  Method enumerateVarBind

### getVarBind

    public VarBind getVarBind(int index)
                       throws IndexOutOfBoundsException

  Method getVarBind

  Parameters:
    `index` -
  Throws:
    `IndexOutOfBoundsException`

### getVarBind

    public VarBind[] getVarBind()

  Method getVarBind

### getVarBindCount

    public int getVarBindCount()

  Method getVarBindCount

### getWrapperClass

    public String getWrapperClass()

  Method getWrapperClassReturns the value of field 'wrapperClass'.

  Returns:
    the value of field 'wrapperClass'.

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### removeVarBind

    public boolean removeVarBind(VarBind vVarBind)

  Method removeVarBind

  Parameters:
    `vVarBind` -

### setVarBind

    public void setVarBind(int index,
                           VarBind vVarBind)
                    throws IndexOutOfBoundsException

  Method setVarBind

  Parameters:
    `index` -
    `vVarBind` -
  Throws:
    `IndexOutOfBoundsException`

### setVarBind

    public void setVarBind(VarBind[] varBindArray)

  Method setVarBind

  Parameters:
    `varBindArray` -

### setWrapperClass

    public void setWrapperClass(String wrapperClass)

  Method setWrapperClassSets the value of field 'wrapperClass'.

  Parameters:
    `wrapperClass` - the value of field 'wrapperClass'.

### unmarshal

    public static VarBindList unmarshal(Reader reader)
                                 throws org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.